(function ($) {
	window.SECAS_Nav = {
		config: {},
		init: function () {
			SECAS_Nav.sectionsSetup();
		},
		sectionsSetup: function () {
			var $parent = $('.secas-wrapper');
			var $menu = $parent.find('.secas-menu');
			var $tabs = $menu.find('li');
			var $content = $parent.find('.secas-menu-items');
			var $contentItems = $content.find('li');
			$tabs.unbind('click');
			$tabs.each(function () {
				$(this).bind('click', function (e) {
					SECAS_Nav.activate($tabs, $contentItems, $(this));
				});
			});
			var active = $menu.data('active');
			SECAS_Nav.activate($tabs, $contentItems, $('#'+active));
			var $list_wrap = $('.secas-wrapper .secas-list');
			var $pages = $list_wrap.find('.secas-page');
			$pages.unbind('click');
			$pages.each(function () {
				$(this).bind('click', function (e) {
					e.preventDefault();
					SECAS_Nav.navigate($list_wrap, $(this).data('page'), false);
				});
			});
			var $search = $('#secas-search-wrap');
			$search.on('change', function(){
				SECAS_Nav.navigate($list_wrap, 1, false);
			});
			var $reset = $('#secas_reset_search');
			$reset.on('click', function(){
				$('input[name*="secas_search"]').val('');
				$search.trigger('change');
			});
		},
		activate: function($tabs, $contentItems, $el) {
			$tabs.removeClass('on');
			$contentItems.removeClass('on');
			$el.addClass('on');
			$('#' + $el.attr('id') + '-content').addClass('on');
			$tabs.data('active', $el.attr('id'));
		},
		navigate: function($parent, page, clean) {
			$.ajax({
				type: 'POST',
				url: secasSettings.ajaxUrl,
				data: {
					action: 'secas_navigate_to_page',
					cp: page,
					search: {
						date: $('#secas_search_date').val(),
						email: $('#secas_search_email').val(),
						text: $('#secas_search_text').val()
					},
					is_ajax: true,
					cleanup: clean
				},
				cache: false,
			}).success(function (response) {
				$parent.html(response);
				SECAS_Nav.init();
			});
		},
		cleanup: function(val, page) {
			var proceed = false;
			if ('all' === val) {
				if(confirm(secasSettings.cleanupConfirmAll)){
					proceed = true;
				}
			} else {
				if(confirm(secasSettings.cleanupConfirmOne)){
					proceed = true;
				}
			}
			if (true === proceed){
				var $list_wrap = $('.secas-wrapper .secas-list');
				SECAS_Nav.navigate($list_wrap, page, val);
			}
		}
	};

	$(document).ready(function () {
		SECAS_Nav.init();
	});

})(jQuery);
function secas_cleanup(val, page) {
	SECAS_Nav.cleanup(val, page);
}
